StreamResourcesController_attach
POST
/api/streams/{id}/resources
const url = 'https://api.streams-ai.com/api/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"resourceType":"url","resourceRef":"example","relation":"produced","meta":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources \ --header 'Content-Type: application/json' \ --data '{ "resourceType": "url", "resourceRef": "example", "relation": "produced", "meta": { "additionalProperty": "example" } }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
resourceType
required
string
resourceRef
required
string
relation
string
meta
object
key
additional properties

